<section class="register-container">
    <div class="header-content">
        <h4>Create Account</h4>
    <p>Lorem ipsum is simply a dummy text of the printingand typesetting industry, Lorem ipsum has been a industry standard dummy text ever since the 1500s</p>
    </div>
    <div class="reg-form-wrapper">
        <form [formGroup]="registerForm" (ngSubmit)="registerUser(registerForm.value)" autocomplete="off">
            <p>
                <mat-form-field appearance="standard">
                    <mat-label>First Name</mat-label>
                    <input #firstName matInput placeholder="First Name" formControlName="firstName" required>
                    <!-- <mat-icon matSuffix>person</mat-icon> -->
                    <mat-error *ngFor="let validation of validationMessages.firstName">
                        <mat-error class="error-message" *ngIf="
                        registerForm.get('firstName').hasError(validation.type) &&
                            (registerForm.get('firstName').dirty ||
                            registerForm.get('firstName').touched)
                          ">{{ validation.message }}</mat-error>
                    </mat-error>
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="standard">
                    <mat-label>Last Name</mat-label>
                    <input matInput placeholder="Last Name" formControlName="lastName" required>
                    <!-- <mat-icon matSuffix>person</mat-icon> -->
                    <mat-error *ngFor="let validation of validationMessages.lastName">
                        <mat-error class="error-message" *ngIf="
                        registerForm.get('lastName').hasError(validation.type) &&
                            (registerForm.get('lastName').dirty ||
                            registerForm.get('lastName').touched)
                          ">{{ validation.message }}</mat-error>
                    </mat-error>
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="standard">
                    <mat-label>Email</mat-label>
                    <input matInput placeholder="Email" formControlName="email" required>
                    <!-- <mat-icon matSuffix>contact_mail</mat-icon> -->
                    <mat-error *ngFor="let validation of validationMessages.email">
                        <mat-error class="error-message" *ngIf="
                        registerForm.get('email').hasError(validation.type) &&
                            (registerForm.get('email').dirty ||
                            registerForm.get('email').touched)
                          ">{{ validation.message }}</mat-error>
                    </mat-error>
                </mat-form-field>
            </p>
            <div class="row">
                <p class="col-xs-12 col-sm-4 col-md-2 mb-0">
                    <mat-form-field appearance="standard">
                        <mat-label>Code</mat-label>
                        <input matInput value="" placeholder="+" formControlName="prefix" required>
                        <mat-error *ngFor="let validation of validationMessages.prefix">
                            <mat-error class="error-message" *ngIf="
                            registerForm.get('prefix').hasError(validation.type) &&
                                (registerForm.get('prefix').dirty ||
                                registerForm.get('prefix').touched)
                              ">{{ validation.message }}</mat-error>
                        </mat-error>
                    </mat-form-field>
                </p>
                <p class="col-xs-12 col-sm-8 col-md-10 mb-0">
                    <mat-form-field appearance="standard">
                        <mat-label>Mobile</mat-label>
                        <input class="example-right-align" matInput placeholder="Mobile" value="" maxlength="10"
                            formControlName="mobile" required>
                        <!-- <mat-icon matSuffix>contact_phone</mat-icon> -->
                        <mat-error *ngFor="let validation of validationMessages.mobile">
                            <mat-error class="error-message" *ngIf="
                            registerForm.get('mobile').hasError(validation.type) &&
                                (registerForm.get('mobile').dirty ||
                                registerForm.get('mobile').touched)
                            ">{{ validation.message }}</mat-error>
                        </mat-error>
                    </mat-form-field>
                </p>
            </div>
            <p>
                <mat-form-field appearance="standard">
                    <mat-label>Company</mat-label>
                    <!-- <mat-icon matSuffix>business</mat-icon> -->
                    <input type="text" matInput placeholder="Company" formControlName="company" required>
                    <mat-error *ngFor="let validation of validationMessages.company">
                        <mat-error class="error-message" *ngIf="
                        registerForm.get('company').hasError(validation.type) &&
                            (registerForm.get('company').dirty ||
                            registerForm.get('company').touched)
                          ">{{ validation.message }}</mat-error>
                    </mat-error>
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="standard">
                    <mat-label>VAT Number</mat-label>
                    <!-- <mat-icon matSuffix>business</mat-icon> -->
                    <input matInput placeholder="VAT Number" formControlName="vatNumber" required>
                    <mat-error *ngFor="let validation of validationMessages.vatNumber">
                        <mat-error class="error-message" *ngIf="
                        registerForm.get('vatNumber').hasError(validation.type) &&
                            (registerForm.get('vatNumber').dirty ||
                            registerForm.get('vatNumber').touched)
                          ">{{ validation.message }}</mat-error>
                    </mat-error>
                </mat-form-field>
            </p>
            <!-- <p>
                <mat-form-field appearance="standard">
                    <mat-label>Company size range</mat-label>
                    <mat-select disableRipple formControlName="size" required>
                      <mat-option value="PRICERANGE1">1-25</mat-option>
                      <mat-option value="PRICERANGE2">25-50</mat-option>
                      <mat-option value="PRICERANGE3">50-100</mat-option>
                      <mat-option value="PRICERANGE4">100-150</mat-option>
                      <mat-option value="PRICERANGE5">150-200</mat-option>
                      <mat-option value="PRICERANGE6">200-300</mat-option>
                    </mat-select>
                </mat-form-field>
            </p> -->
            <p>
                <mat-form-field appearance="standard">
                    <mat-label>Commercial Registration</mat-label>
                    <input type="number" matInput placeholder="Commercial Registration" formControlName="commercial"
                        required>
                    <mat-error *ngFor="let validation of validationMessages.commercial">
                        <mat-error class="error-message" *ngIf="
                            registerForm.get('commercial').hasError(validation.type) &&
                            (registerForm.get('commercial').dirty ||
                            registerForm.get('commercial').touched)
                          ">{{ validation.message }}</mat-error>
                    </mat-error>
                </mat-form-field>
            </p>
            <p>
                <mat-form-field appearance="standard">
                    <mat-label>Confirm Commercial Registration</mat-label>
                    <input type="number" matInput placeholder="Confirm Commercial Registration"
                        formControlName="confirmCommercial" required>
                    <mat-error *ngFor="let validation of validationMessages.confirmCommercial">
                        <mat-error class="error-message" *ngIf="
                            registerForm.get('confirmCommercial').hasError(validation.type) &&
                            (registerForm.get('confirmCommercial').dirty ||
                            registerForm.get('confirmCommercial').touched)
                          ">{{ validation.message }}</mat-error>
                    </mat-error>
                </mat-form-field>
            </p>
            <p class="terms-and-condition">
                <mat-checkbox class="default-set" (change)="setTerms($event)"></mat-checkbox>
                <span>I am confirming that i have read and agree with the <a>Terms and conditions</a></span>
            </p>
            <p class="register-btn">
                <button mat-raised-button [disabled]="!registerForm.valid || !termsAndConditions"
                    class="reg-btn">Register</button>
            </p>
            <a class="btn-link" routerLink="/login">I already have an account. <span> Sign In</span></a>
        </form>


    </div>
</section>